FiskilFiskilFiskil DocsFiskil Docs
Log InSign Up
GuidesAPI ReferenceChangelog

Mobile menu

HomeFiskilFiskil
Log InSign Up
Introduction

Getting Started

AuthenticationErrorsPagination

CORE RESOURCES

Linking Accounts

BANKING API

ENERGY API

IDENTITY

Get customer details

Returns detailed information about the consumer identities from the most recent consent

AI Actions
GET
/v1/common/identity

Returns detailed information about the consumer identities from the most recent consent

Query Parameters

end_user_idstringrequired

A unique identifier for the End User object.

institution_idstring

A unique identifier for the Institution object.

Response Body

application/json

application/json

application/json

curl -X GET "https://api.fiskil.com/v1/common/identity?end_user_id=eu_abcdef1234&institution_id=inst_abcdef1234"
{
  "identities": [
    {
      "arrangement_id": "f41bb11b-0bdf-4b7c-9e24-a0d6cad0b3e6",
      "customer": {
        "customer_u_type": "person",
        "organisation": {
          "abn": "12345678901",
          "acn": "987654321",
          "agent_first_name": "John",
          "agent_last_name": "Doe",
          "agent_role": "Manager",
          "business_name": "Tech Corp",
          "establishment_date": "2010-01-01",
          "industry_code": "5420",
          "industry_code_version": "ANZSIC_1292.0_2006_V2.0",
          "is_acnc_registered": true,
          "last_update_time": "2023-08-15T10:30:00Z",
          "legal_name": "Tech Solutions Ltd",
          "organisation_type": "COMPANY",
          "physical_addresses": [
            {
              "address_u_type": "paf",
              "paf": {
                "building_name_1": "Castle",
                "building_name_2": "string",
                "dpid": "34567890",
                "flat_unit_number": "12B",
                "flat_unit_type": "U",
                "floor_level_number": "7",
                "floor_level_type": "FL",
                "locality_name": "SYDNEY",
                "lot_number": "42",
                "postal_delivery_number": 2,
                "postal_delivery_number_prefix": "N",
                "postal_delivery_number_suffix": "A",
                "postal_delivery_type": "PO BOX",
                "postcode": "2000",
                "state": "NSW",
                "street_name": "WALLABY",
                "street_suffix": "S",
                "street_type": "WAY",
                "thoroughfare_number1": 40,
                "thoroughfare_number1_suffix": "A",
                "thoroughfare_number2": 44,
                "thoroughfare_number2_suffix": "A"
              },
              "purpose": "REGISTERED",
              "simple": {
                "address_line1": "42 Wallaby Way",
                "address_line2": "string",
                "address_line3": "string",
                "city": "SYDNEY",
                "country": "AUS",
                "mailing_name": "Shiny Dental",
                "postcode": "2000",
                "state": "NSW"
              }
            }
          ],
          "registered_country": "AUS",
          "short_name": "TechCo"
        },
        "person": {
          "email_addresses": [
            {
              "address": "jane.doe@example.com",
              "is_preferred": true,
              "purpose": "WORK"
            }
          ],
          "first_name": "Jane",
          "last_name": "Doe",
          "last_update_time": "2023-08-10T09:00:00Z",
          "middle_names": [
            "string"
          ],
          "occupation_code": "2613",
          "occupation_code_version": "ANZSCO_1220.0_2013_V1.2",
          "phone_numbers": [
            {
              "area_code": "2",
              "country_code": "+61",
              "extension": "1234",
              "full_number": "+61 2 9876 5432",
              "is_preferred": true,
              "number": "98765432",
              "purpose": "MOBILE"
            }
          ],
          "physical_addresses": [
            {
              "address_u_type": "paf",
              "paf": {
                "building_name_1": "Castle",
                "building_name_2": "string",
                "dpid": "34567890",
                "flat_unit_number": "12B",
                "flat_unit_type": "U",
                "floor_level_number": "7",
                "floor_level_type": "FL",
                "locality_name": "SYDNEY",
                "lot_number": "42",
                "postal_delivery_number": 2,
                "postal_delivery_number_prefix": "N",
                "postal_delivery_number_suffix": "A",
                "postal_delivery_type": "PO BOX",
                "postcode": "2000",
                "state": "NSW",
                "street_name": "WALLABY",
                "street_suffix": "S",
                "street_type": "WAY",
                "thoroughfare_number1": 40,
                "thoroughfare_number1_suffix": "A",
                "thoroughfare_number2": 44,
                "thoroughfare_number2_suffix": "A"
              },
              "purpose": "REGISTERED",
              "simple": {
                "address_line1": "42 Wallaby Way",
                "address_line2": "string",
                "address_line3": "string",
                "city": "SYDNEY",
                "country": "AUS",
                "mailing_name": "Shiny Dental",
                "postcode": "2000",
                "state": "NSW"
              }
            }
          ],
          "prefix": "Ms",
          "suffix": "Jr"
        }
      },
      "fiskil_id": "abcdef1234xyz",
      "institution_id": "140"
    }
  ]
}
{
  "id": "string",
  "message": "string",
  "name": "string"
}
{
  "id": "string",
  "message": "string",
  "name": "string"
}

Was this page helpful?

Assistant